package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TgenefieldsDTO implements Serializable {

    private static final long serialVersionUID = 835807719986936L;

    private Integer tgenefieldsPK;

    private String fromdb;

    private String type;

    private String caninsert;

    private String canupdate;

    private String fktname;

    private String fkentity;

    private String fkconstraint;

    private Integer tgeneentity;

        public Integer getTgenefieldsPK() {
    return tgenefieldsPK;
    }

        public void setTgenefieldsPK(Integer tgenefieldsPK) {
    this.tgenefieldsPK = tgenefieldsPK;
    }

        public String getFromdb() {
    return fromdb;
    }

        public void setFromdb(String fromdb) {
    this.fromdb = fromdb;
    }

        public String getType() {
    return type;
    }

        public void setType(String type) {
    this.type = type;
    }

        public String getCaninsert() {
    return caninsert;
    }

        public void setCaninsert(String caninsert) {
    this.caninsert = caninsert;
    }

        public String getCanupdate() {
    return canupdate;
    }

        public void setCanupdate(String canupdate) {
    this.canupdate = canupdate;
    }

        public String getFktname() {
    return fktname;
    }

        public void setFktname(String fktname) {
    this.fktname = fktname;
    }

        public String getFkentity() {
    return fkentity;
    }

        public void setFkentity(String fkentity) {
    this.fkentity = fkentity;
    }

        public String getFkconstraint() {
    return fkconstraint;
    }

        public void setFkconstraint(String fkconstraint) {
    this.fkconstraint = fkconstraint;
    }

        public Integer getTgeneentity() {
    return tgeneentity;
    }

        public void setTgeneentity(Integer tgeneentity) {
    this.tgeneentity = tgeneentity;
    }

}